########################################
########################################
# change size of population
########################################

set save_cwd = `execute("oppwf")`  # note where we were
opcf /ch/evolve  # work mostly from evolve CHOP net

setenv pop_size = `argc(run("opls -d /obj/geno*"))`  # cur num of copies
setenv new_size = `round(chop("params/pop_size"))`  # desired num
setenv change = `$new_size-$pop_size`  # change in pop size

# if pop size change requested, make it so
if ( `$change>0` )  
  source increase_pop_size.cmd
else if ( `$change<0` )
  source decrease_pop_size.cmd
endif

source unselect_all.cmd

opcf $save_cwd  # back to where we were before we got here
